/* Implementation of the TLHTTPStream class.
   This file is part of TL, Tiggr's Library.
   Written by Tiggr <tiggr@es.ele.tue.nl>
   Copyright (C) 1995, 1996 Pieter J. Schoenmakers
   TL is distributed WITHOUT ANY WARRANTY.
   See the file LICENSE in the TL distribution for details.

   $Id: TLHTTPStream.m,v 1.5 1996/01/23 12:18:31 tiggr Exp $  */

#define TLHTTPSTREAM_DECLARE_PRIVATE_METHODS
#import "tl/TLHTTPStream.h"

@implementation TLHTTPStream

+(TLHTTPStream *) streamWithURL: (id <TLURL>) url
{
  return ([[self gcAlloc] initWithURL: url]);
} /* streamWithURL: */

-initWithURL: (id <TLURL>) url
{
  id <TLInetAddress> addr = [TLInetAddress addressWithProtocol: @"tcp"
			     port: [url port] host: [url hostname]];

  return ([self initWithAddress: addr]);
} /* -initWithURL: */

@end
