/* Interface to the TLHTTPStream class.
   This file is part of TL, Tiggr's Library.
   Written by Tiggr <tiggr@es.ele.tue.nl>
   Copyright (C) 1995, 1996 Pieter J. Schoenmakers
   TL is distributed WITHOUT ANY WARRANTY.
   See the file LICENSE in the TL distribution for details.

   $Id: TLHTTPStream.h,v 1.4 1996/01/23 12:19:17 tiggr Exp $  */

#import "TLInetSocketStream.h"
#import "TLURL.h"

@interface TLHTTPStream: TLInetSocketStream
{
}

+(TLHTTPStream *) streamWithURL: (id <TLURL>) url;

#ifdef TLHTTPSTREAM_DECLARE_PRIVATE_METHODS

-initWithURL: (id <TLURL>) url;

#endif

@end
